# Changelog

## 2024-12-25 - 1.1.1 - fix(smartstatus)
Remove all tslint:disable-next-line comments for max-classes-per-file rule

- Code cleanup by removing unnecessary tslint comments for disabling max-classes-per-file rule.

## 2024-12-25 - 1.1.0 - feat(ci)
Set up GitHub Actions workflows for CI/CD

- Replaced GitLab CI with GitHub Actions for both tag and non-tag pushes.
- Implemented npm audit for security checks on both production and development dependencies.
- Enabled npm test and build steps as part of the CI workflow.

## 2024-05-29 - 1.0.12 - Documentation & Configuration
Minor updates focusing on project configuration and descriptive metadata.

- Updated project description.
- Updated tsconfig multiple times for improved TypeScript configurations.
- Adjusted npmextra.json configuration for host consistency.

## 2021-08-19 to 2024-04-14 - 1.0.11 to 1.0.12 - Core Fixes & Maintenance
A range of updates focused on core functionality and essential maintenance fixes across versions.

- Multiple core updates distributed across versions 1.0.7 to 1.0.12.

## 2019-01-02 to 2021-08-19 - 1.0.5 to 1.0.10 - Core Updates
Core functionality was reviewed and updated multiple times to ensure stability and improved performance.

## 2017-04-06 to 2019-01-02 - 1.0.0 to 1.0.4 - Initial Development & Feature Implementations
The initial stages of development including major feature implementations across status codes and basic framework setup.

- Initial setup completed with basic framework and configuration.
- Implemented handling of 1xx to 5xx range of status codes.
- Added continuous integration and initial testing protocols.